#include<iostream>
using namespace std;
int main()
{
     int a, k, skoci=0;
     long long b;
     cin>>a>>b>>k;
     while(a<b)
     {
         if((a+2)%k==0 or a+1==b)a++;
         else a+=2;
         skoci++;
     }
     cout<<skoci<<"\n";

    return 0;
}
